
User Interface - Bug #2828

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

alert-box button text is vertically positioned too low in the web client as compared with Swing

11/05/2015 06:00 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/05/2015 06:01 PM - Greg Shah

- File alert_box_p2j_swing_vs_web_client_2677a_rev_11012_20151105.png added

This shows the issue (use simpler_alert_box.p to recreate it.  On the left is the Swing client and on the right is the web client:

 

#2 - 11/27/2015 01:46 PM - Greg Shah

This same issue can be seen in the frame title for the web client (the text is positioned to the right and lower than expected).  See demo/calc*.p to

recreate.

#3 - 12/03/2015 05:50 PM - Hynek Cihlar

- File alert_box_misplaced_button_text.png added

I retested 2677a and 2677b and the problem still exists in web client. The button text is shifted up though. See the attached screen shot. Swing client

is ok.
#4 - 03/23/2016 05:04 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#5 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI

Files
